Bug 211645 - [exp-run] Create USES=linux
Summary: [exp-run] Create USES=linux
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks: 204615 210926
  Show dependency treegraph
 
Reported: 2016-08-07 20:42 UTC by Tijl Coosemans
Modified: 2016-09-07 12:46 UTC (History)
3 users (show)

See Also:


Attachments
patch (353.45 KB, patch)
2016-08-07 20:42 UTC, Tijl Coosemans
jbeich: maintainer-approval+
Details | Diff
patch2 (405.09 KB, patch)
2016-09-01 15:27 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (408.78 KB, patch)
2016-09-03 19:31 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (409.39 KB, patch)
2016-09-04 13:18 UTC, Tijl Coosemans
no flags Details | Diff
patch5 (409.45 KB, patch)
2016-09-05 10:43 UTC, Tijl Coosemans
no flags Details | Diff
Correct dependencies (884 bytes, patch)
2016-09-07 06:12 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2016-08-07 20:42:37 UTC
Created attachment 173383 [details]
patch

- Replace Mk/bsd.linux-apps.mk and Mk/bsd.linux-rpm.mk with
  Mk/Uses/linux.mk.
- Replace USE_LINUX=yes with USES+=linux and USE_LINUX=(.*) with
  USES+=linux:\1 in all ports.
- Replace USE_LINUX_APPS with USE_LINUX in all ports.
- When USE_LINUX_RPM is defined, simplify the way DISTFILES and EXTRACT_ONLY
  are defined.
- Remove BRANDELF_DIRS and BRANDELF_FILES handling.  In the very rare cases
  that it is still necessary ports can run ${BRANDELF} from post-patch.
- Remove AUTOMATIC_PLIST handling.  Only one port used it.
- Fix Linux MASTER_SITES.
- Replace OVERRIDE_LINUX_BASE_PORT and OVERRIDE_LINUX_NONBASE_PORTS with
  default versions framework.
- bsd.port.mk:
  - Move Linux related bits to Uses/linux.mk, except USE_LINUX_PREFIX.
  - Put USE_LINUX_PREFIX handling after USES processing.
  - Define DOCSDIR, DATADIR, etc. after handling USE_LINUX_PREFIX so it can
    give these variables a different default value.
  - When a package needs to run Linux ldconfig check before installation if
    Linux support is enabled.
- emulators/linux_base-*:
  - Use USES=linux and remove duplication.
  - Remove files/lp.  FreeBSD or CUPS lp(1) should work.
  - Remove files/yp.conf.  No longer seems to be used.
  - Remove pkg-deinstall and move pkg-install into pkg-plist.
  - Update pkg-descr and pkg-message.
  - Fix handling of ldconfig cache in pkg-plist.
Comment 1 Piotr Kubaj freebsd_committer 2016-08-07 20:59:45 UTC
(In reply to Tijl Coosemans from comment #0)
Could you add https://dl.fedoraproject.org/pub/epel/7/x86_64/ and https://dl.fedoraproject.org/pub/epel/7/SRPMS/ to bsd.sites.mk as e.g. EPEL7? I'm going to need it for SDL rpm's. Also, it's amd64-only.

I figured it will be easier to add it now, since you change bsd.sites.mk anyway :)
Comment 2 Tijl Coosemans freebsd_committer 2016-08-09 12:06:52 UTC
(In reply to Piotr Kubaj from comment #1)
It can be added together with the first port that needs it.
Comment 3 Jan Beich freebsd_committer 2016-08-10 21:56:46 UTC
Comment on attachment 173383 [details]
patch

devel/fb-adb change looks OK, tested with f10, c6 and c6_64. However, it appears USE_LINUX=base:build leaks deprecation warning with f10.

# pkg add /packages/All/fb-adb-*
[101i386-default] Installing fb-adb-1.4.4.124...
[101i386-default] `-- Installing android-tools-adb-6.0.1.r24...
[101i386-default] `-- Extracting android-tools-adb-6.0.1.r24: 100%
[101i386-default] Extracting fb-adb-1.4.4.124: 100%
Message from fb-adb-1.4.4.124:
===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

Fedora 10 is unsupported and vulnerable.

It is scheduled to be removed on or after 2016-12-31.

> -NDK_SHELL=             ${SETENV} UNAME_s=Linux UNAME_m=${LINUX_RPM_ARCH} ${SH}
> +NDK_SHELL=             ${LINUXBASE}/bin/sh

While unrelated to USES=linux this looks more correct. Thanks.
Comment 4 Antoine Brodin freebsd_committer 2016-09-01 05:29:04 UTC
Exp-run results on 10.1 i386:

http://package23.nyi.freebsd.org/build.html?mastername=101i386-default-PR211645&build=2016-08-30_16h33m07s

New failures:

+ {"origin"=>"audio/linux-c6-alsa-utils", "pkgname"=>"linux-c6-alsa-utils-1.1.0", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"audio/linux-c6-sdl_mixer", "pkgname"=>"linux-c6-sdl_mixer-1.2.12_2", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-openal", "pkgname"=>"linux-f10-openal-0.0.9", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-sdl_mixer", "pkgname"=>"linux-f10-sdl_mixer-1.2.8_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"devel/fb-adb", "pkgname"=>"fb-adb-1.4.4.124", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"devel/linux-c6-libgfortran", "pkgname"=>"linux-c6-libgfortran-4.4.7_3", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"devel/linux-c6-qt47", "pkgname"=>"linux-c6-qt47-4.7.2_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"editors/linux-sublime", "pkgname"=>"linux-sublime-2.0.2_3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/linux-darwinia-demo", "pkgname"=>"linux-darwinia-demo-1.3.0", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"games/linux-defcon", "pkgname"=>"linux-defcon-1.42", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"games/linux-doom3", "pkgname"=>"linux-doom3-1.3.1.1304,1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/linux-etqw-demo-server", "pkgname"=>"linux-etqw-demo-server-2.0.r1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/linux-etqw-server", "pkgname"=>"linux-etqw-server-1.5", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"games/linux-nerogame", "pkgname"=>"linux-nerogame-2.0", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"games/linux-nwnclient", "pkgname"=>"linux-nwnclient-1.69_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"games/linux-quake4", "pkgname"=>"linux-quake4-1.4.2_1,1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"games/linux-quake4-demo", "pkgname"=>"linux-quake4-demo-1.0_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"games/linux-ut2003-demo", "pkgname"=>"linux-ut2003-demo-2206", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-c6-sdl_image", "pkgname"=>"linux-c6-sdl_image-1.2.12_2", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-c6-sdl_ttf", "pkgname"=>"linux-c6-sdl_ttf-2.0.11_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-libGLU", "pkgname"=>"linux-f10-libGLU-7.2", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"graphics/linux-f10-sdl_image", "pkgname"=>"linux-f10-sdl_image-1.2.6_3", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-sdl_ttf", "pkgname"=>"linux-f10-sdl_ttf-2.0.8", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"lang/linux-c6-tcl85", "pkgname"=>"linux-c6-tcl85-8.5.7_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"mail/linux-thunderbird", "pkgname"=>"linux-thunderbird-45.2.0", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"net-im/linux-instantbird", "pkgname"=>"linux-instantbird-1.5", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"net-im/skype", "pkgname"=>"skype-2.1.0.81_1,1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"net-im/skype-devel", "pkgname"=>"skype-devel-2.2.0.35_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"security/linux-c6-nss", "pkgname"=>"linux-c6-nss-3.21.0_1", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"www/linux-firefox", "pkgname"=>"linux-firefox-45.3.0,2", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"www/linux-opera", "pkgname"=>"linux-opera-12.16", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"www/linux-seamonkey", "pkgname"=>"linux-seamonkey-2.39", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/linux-c6-tk85", "pkgname"=>"linux-c6-tk85-8.5.7_2", "phase"=>"package", "errortype"=>"???"}

Failure logs:

http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-alsa-utils-1.1.0.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-sdl_mixer-1.2.12_2.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-f10-openal-0.0.9.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-f10-sdl_mixer-1.2.8_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/fb-adb-1.4.4.124.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-libgfortran-4.4.7_3.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-qt47-4.7.2_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-sublime-2.0.2_3.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-darwinia-demo-1.3.0.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-defcon-1.42.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-doom3-1.3.1.1304,1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-etqw-demo-server-2.0.r1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-etqw-server-1.5.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-nerogame-2.0.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-nwnclient-1.69_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-quake4-1.4.2_1,1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-quake4-demo-1.0_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-ut2003-demo-2206.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-sdl_image-1.2.12_2.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-sdl_ttf-2.0.11_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-f10-libGLU-7.2.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-f10-sdl_image-1.2.6_3.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-f10-sdl_ttf-2.0.8.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-tcl85-8.5.7_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-thunderbird-45.2.0.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-instantbird-1.5.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/skype-2.1.0.81_1,1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/skype-devel-2.2.0.35_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-nss-3.21.0_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-firefox-45.3.0,2.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-opera-12.16.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-seamonkey-2.39.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211645/2016-08-30_16h33m07s/logs/errors/linux-c6-tk85-8.5.7_2.log
Comment 5 Tijl Coosemans freebsd_committer 2016-09-01 15:27:28 UTC
Created attachment 174289 [details]
patch2

- Fix some dependencies in Mk/Uses/linux.mk
- devel/fb-adb: Use FreeBSD mkdir in some Linux scripts so mkdir -p $path creates $path and not /compat/linux/$path
Comment 6 Antoine Brodin freebsd_committer 2016-09-02 13:34:23 UTC
There is a problem with fmake:

"/usr/ports/Mk/Uses/linux.mk", line 127: Malformed conditional ()
"/usr/ports/Mk/Uses/linux.mk", line 129: Malformed conditional ()
Comment 9 Tijl Coosemans freebsd_committer 2016-09-03 19:31:38 UTC
Created attachment 174354 [details]
patch3

- Fix fmake
- Use INSTALL_SCRIPT instead of INSTALL_PROGRAM to install scripts in some ports
Comment 10 Tijl Coosemans freebsd_committer 2016-09-04 13:18:51 UTC
Created attachment 174371 [details]
patch4

- Fix linux-c6 metaport.
Comment 11 Antoine Brodin freebsd_committer 2016-09-05 05:43:36 UTC
In emulators/linux_base-c6/Makefile, there is no more shebangfix for bin/redhat_lsb_init and sbin/mount.tmpfs ,  is it intended?

dns/linux-f10-libasyncns no longer depends on linux_base-f10
Comment 12 Tijl Coosemans freebsd_committer 2016-09-05 10:43:25 UTC
Created attachment 174384 [details]
patch5

- Fix linux-f10-libasyncns
- Fix symlink in linux_base-c6

Removing shebangfix is intentional.  These scripts only make sense within a Linux context.  It's better that they don't work from a FreeBSD shell.  mount.tmpfs is a private script not intended to be used by users at all.  I don't know what redhat_lsb_init is used for (I suspect it's an init script used during boot) but the links and directories it creates should be created under /compat/linux so it should always be run with Linux sh or bash, not FreeBSD sh or bash.  The stage-qa shebang checks should probably just ignore /compat/linux.
Comment 13 Antoine Brodin freebsd_committer 2016-09-05 16:34:34 UTC
Exp-run looks fine.

If you have a patch to exclude /compat/linux from some qa checks (shebang and stripped come to my mind, maybe proxydeps and soname too) it can be done afterwards.
Comment 14 commit-hook freebsd_committer 2016-09-05 19:24:38 UTC
A commit references this bug:

Author: tijl
Date: Mon Sep  5 19:23:45 UTC 2016
New revision: 421387
URL: https://svnweb.freebsd.org/changeset/ports/421387

Log:
  - Replace Mk/bsd.linux-apps.mk and Mk/bsd.linux-rpm.mk with
    Mk/Uses/linux.mk.
  - Replace USE_LINUX=yes with USES+=linux and USE_LINUX=(.*) with
    USES+=linux:\1 in all ports.
  - Replace USE_LINUX_APPS with USE_LINUX in all ports.
  - Use INSTALL_SCRIPT instead of INSTALL_PROGRAM to install scripts in some
    ports.
  - When USE_LINUX_RPM is defined, simplify the way DISTFILES and EXTRACT_ONLY
    are defined.
  - Remove BRANDELF_DIRS and BRANDELF_FILES handling.  In the very rare cases
    that it is still necessary ports can run ${BRANDELF} from post-patch.
  - Remove AUTOMATIC_PLIST handling.  Only one port used it.
  - Fix Linux MASTER_SITES.
  - Replace OVERRIDE_LINUX_BASE_PORT and OVERRIDE_LINUX_NONBASE_PORTS with
    default versions framework.
  - bsd.port.mk:
    - Move Linux related bits to Uses/linux.mk, except USE_LINUX_PREFIX.
    - Put USE_LINUX_PREFIX handling after USES processing.
    - Define DOCSDIR, DATADIR, etc. after handling USE_LINUX_PREFIX so it can
      give these variables a different default value.
    - When a package needs to run Linux ldconfig check before installation if
      Linux support is enabled.
  - emulators/linux_base-*:
    - Use USES=linux and remove duplication.
    - Remove files/lp.  FreeBSD or CUPS lp(1) should work.
    - Remove files/yp.conf.  No longer seems to be used.
    - Remove pkg-deinstall and move pkg-install into pkg-plist.
    - Update pkg-descr and pkg-message.
    - Fix handling of ldconfig cache in pkg-plist.
  - devel/fb-adb: Use a Linux shell to run a Linux script but patch the script
    to use FreeBSD mkdir so mkdir -p $path creates $path and not
    /compat/linux/$path.

  PR:		211645
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Scripts/functions.sh
  head/Mk/Uses/linux.mk
  head/Mk/bsd.default-versions.mk
  head/Mk/bsd.linux-apps.mk
  head/Mk/bsd.linux-rpm.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sites.mk
  head/accessibility/linux-c6-atk/Makefile
  head/accessibility/linux-f10-atk/Makefile
  head/archivers/kzip/Makefile
  head/archivers/linux-f10-ucl/Makefile
  head/archivers/linux-f10-upx/Makefile
  head/archivers/stuffit/Makefile
  head/astro/google-earth/Makefile
  head/audio/baudline/Makefile
  head/audio/linux-c6-alsa-lib/Makefile
  head/audio/linux-c6-alsa-plugins-oss/Makefile
  head/audio/linux-c6-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-arts/Makefile
  head/audio/linux-c6-esound/Makefile
  head/audio/linux-c6-flac/Makefile
  head/audio/linux-c6-flac/pkg-plist.i386
  head/audio/linux-c6-flac/pkg-plist.x86_64
  head/audio/linux-c6-libaudiofile/Makefile
  head/audio/linux-c6-libogg/Makefile
  head/audio/linux-c6-libsndfile/Makefile
  head/audio/linux-c6-libsndfile/pkg-plist.i386
  head/audio/linux-c6-libsndfile/pkg-plist.x86_64
  head/audio/linux-c6-libvorbis/Makefile
  head/audio/linux-c6-mikmod/Makefile
  head/audio/linux-c6-nas-libs/Makefile
  head/audio/linux-c6-openal-soft/Makefile
  head/audio/linux-c6-pulseaudio-libs/Makefile
  head/audio/linux-c6-pulseaudio-utils/Makefile
  head/audio/linux-c6-sdl_mixer/Makefile
  head/audio/linux-f10-alsa-lib/Makefile
  head/audio/linux-f10-alsa-plugins-oss/Makefile
  head/audio/linux-f10-arts/Makefile
  head/audio/linux-f10-esound/Makefile
  head/audio/linux-f10-freealut/Makefile
  head/audio/linux-f10-libaudiofile/Makefile
  head/audio/linux-f10-libogg/Makefile
  head/audio/linux-f10-libvorbis/Makefile
  head/audio/linux-f10-mikmod/Makefile
  head/audio/linux-f10-nas-libs/Makefile
  head/audio/linux-f10-openal/Makefile
  head/audio/linux-f10-openal-soft/Makefile
  head/audio/linux-f10-pulseaudio-libs/Makefile
  head/audio/linux-f10-sdl_mixer/Makefile
  head/audio/linux-genpuid/Makefile
  head/audio/linux-laudio/Makefile
  head/audio/linux-mbrola/Makefile
  head/audio/linux-neroaaccodec/Makefile
  head/audio/linux-skype_oss_wrapper/Makefile
  head/audio/lpac/Makefile
  head/biology/consed/Makefile
  head/biology/linux-foldingathome/Makefile
  head/cad/linux-eagle5/Makefile
  head/comms/kvasd/Makefile
  head/comms/rxtx/Makefile
  head/databases/linux-c6-sqlite3/Makefile
  head/databases/linux-f10-sqlite3/Makefile
  head/databases/linux-oracle-instantclient-basic/Makefile
  head/databases/linux-oracle-instantclient-sqlplus/Makefile
  head/devel/fb-adb/Makefile
  head/devel/linux-c6-dbus-glib/Makefile
  head/devel/linux-c6-dbus-libs/Makefile
  head/devel/linux-c6-devtools/Makefile
  head/devel/linux-c6-libgfortran/Makefile
  head/devel/linux-c6-libglade2/Makefile
  head/devel/linux-c6-libpciaccess/Makefile
  head/devel/linux-c6-libsigc++20/Makefile
  head/devel/linux-c6-libthai/Makefile
  head/devel/linux-c6-ncurses-base/Makefile
  head/devel/linux-c6-nspr/Makefile
  head/devel/linux-c6-qt47/Makefile
  head/devel/linux-c6-qt47/pkg-plist.i386
  head/devel/linux-c6-qt47/pkg-plist.x86_64
  head/devel/linux-c6-sdl12/Makefile
  head/devel/linux-f10-allegro/Makefile
  head/devel/linux-f10-dbus-glib/Makefile
  head/devel/linux-f10-dbus-libs/Makefile
  head/devel/linux-f10-devtools/Makefile
  head/devel/linux-f10-libglade2/Makefile
  head/devel/linux-f10-libsigc++20/Makefile
  head/devel/linux-f10-ncurses-base/Makefile
  head/devel/linux-f10-nspr/Makefile
  head/devel/linux-f10-sdl12/Makefile
  head/devel/linux_kdump/Makefile
  head/dns/linux-c6-libasyncns/Makefile
  head/dns/linux-f10-libasyncns/Makefile
  head/dns/linux-f10-libasyncns/pkg-plist
  head/editors/edith/Makefile
  head/editors/komodo-edit/Makefile
  head/editors/linux-sublime/Makefile
  head/editors/linux-sublime/files/sublime.in
  head/editors/linux-sublime3/Makefile
  head/emulators/linux-c6/Makefile
  head/emulators/linux-f10/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/files/
  head/emulators/linux_base-c6/pkg-deinstall
  head/emulators/linux_base-c6/pkg-descr
  head/emulators/linux_base-c6/pkg-install
  head/emulators/linux_base-c6/pkg-message
  head/emulators/linux_base-c6/pkg-plist.i386
  head/emulators/linux_base-c6/pkg-plist.x86_64
  head/emulators/linux_base-f10/Makefile
  head/emulators/linux_base-f10/files/
  head/emulators/linux_base-f10/pkg-deinstall
  head/emulators/linux_base-f10/pkg-descr
  head/emulators/linux_base-f10/pkg-install
  head/emulators/linux_base-f10/pkg-message
  head/emulators/linux_base-f10/pkg-plist
  head/emulators/rtc/Makefile
  head/french/homard/Makefile
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-f10-curl/Makefile
  head/games/adom/Makefile
  head/games/arkanoidsb/Makefile
  head/games/dsnake/Makefile
  head/games/gish-demo/Makefile
  head/games/hohlin/Makefile
  head/games/legends/Makefile
  head/games/linux-darwinia-demo/Makefile
  head/games/linux-defcon/Makefile
  head/games/linux-doom3/Makefile
  head/games/linux-doom3-demo/Makefile
  head/games/linux-enemyterritory/Makefile
  head/games/linux-enemyterritory-etpro/Makefile
  head/games/linux-enemyterritory-jaymod/Makefile
  head/games/linux-enemyterritory-jaymod-21/Makefile
  head/games/linux-enemyterritory-omni-bot/Makefile
  head/games/linux-enemyterritory-omni-bot-0660/Makefile
  head/games/linux-enemyterritory-shrub/Makefile
  head/games/linux-enemyterritory-tce/Makefile
  head/games/linux-etqw-demo-server/Makefile
  head/games/linux-etqw-server/Makefile
  head/games/linux-nerogame/Makefile
  head/games/linux-nwnclient/Makefile
  head/games/linux-quake3/Makefile
  head/games/linux-quake3-demo/Makefile
  head/games/linux-quake4/Makefile
  head/games/linux-quake4-demo/Makefile
  head/games/linux-rtcw/Makefile
  head/games/linux-ssamtfe/Makefile
  head/games/linux-ssamtse/Makefile
  head/games/linux-unigine-heaven/Makefile
  head/games/linux-unigine-valley/Makefile
  head/games/linux-unrealgold/Makefile
  head/games/linux-uplink-demo/Makefile
  head/games/linux-ut/Makefile
  head/games/linux-ut2003-demo/Makefile
  head/games/linux-virtual-jay-peak/Makefile
  head/games/linux-worldofgoo-demo/Makefile
  head/games/mtaserver/Makefile
  head/games/sampsvr/Makefile
  head/graphics/linux-adobesvg/Makefile
  head/graphics/linux-c6-cairo/Makefile
  head/graphics/linux-c6-dri/Makefile
  head/graphics/linux-c6-gdk-pixbuf2/Makefile
  head/graphics/linux-c6-gdk-pixbuf2/pkg-plist.i386
  head/graphics/linux-c6-gdk-pixbuf2/pkg-plist.x86_64
  head/graphics/linux-c6-glx-utils/Makefile
  head/graphics/linux-c6-jasper/Makefile
  head/graphics/linux-c6-jpeg/Makefile
  head/graphics/linux-c6-jpeg/pkg-plist.i386
  head/graphics/linux-c6-jpeg/pkg-plist.x86_64
  head/graphics/linux-c6-libGLU/Makefile
  head/graphics/linux-c6-png/Makefile
  head/graphics/linux-c6-sdl_image/Makefile
  head/graphics/linux-c6-sdl_ttf/Makefile
  head/graphics/linux-c6-tiff/Makefile
  head/graphics/linux-c6-tiff/pkg-plist.i386
  head/graphics/linux-c6-tiff/pkg-plist.x86_64
  head/graphics/linux-f10-cairo/Makefile
  head/graphics/linux-f10-dri/Makefile
  head/graphics/linux-f10-gdk-pixbuf/Makefile
  head/graphics/linux-f10-glew/Makefile
  head/graphics/linux-f10-imlib/Makefile
  head/graphics/linux-f10-jpeg/Makefile
  head/graphics/linux-f10-libGLU/Makefile
  head/graphics/linux-f10-libmng/Makefile
  head/graphics/linux-f10-png/Makefile
  head/graphics/linux-f10-sdl_image/Makefile
  head/graphics/linux-f10-sdl_ttf/Makefile
  head/graphics/linux-f10-tiff/Makefile
  head/graphics/linux-f10-ungif/Makefile
  head/japanese/slimeforest/Makefile
  head/java/linux-oracle-jdk18/Makefile
  head/java/linux-oracle-jre18/Makefile
  head/lang/icc/Makefile
  head/lang/linux-c6-tcl85/Makefile
  head/lang/linux-c6-tcl85/pkg-plist.i386
  head/lang/linux-c6-tcl85/pkg-plist.x86_64
  head/lang/linux-f10-libg2c/Makefile
  head/lang/linux-f10-tcl85/Makefile
  head/lang/linux-j/Makefile
  head/lang/visualworks/Makefile
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/pkg-plist
  head/mail/mulberry/Makefile
  head/math/matlab-installer/Makefile
  head/math/wingz3/Makefile
  head/misc/opencyc/Makefile
  head/multimedia/linux-c6-libtheora/Makefile
  head/multimedia/linux-c6-libv4l/Makefile
  head/multimedia/linux-f10-libtheora/Makefile
  head/multimedia/linux-f10-libv4l/Makefile
  head/multimedia/linux-tsmuxer/Makefile
  head/multimedia/w_scan/Makefile
  head/net/boinc-client/Makefile
  head/net/citrix_ica/Makefile
  head/net/linux-c6-avahi-libs/Makefile
  head/net/linux-c6-openldap/Makefile
  head/net/linux-c6-tcp_wrappers-libs/Makefile
  head/net/linux-f10-nss_ldap/Makefile
  head/net/linux-f10-openldap/Makefile
  head/net/spideroak/Makefile
  head/net-im/linux-instantbird/Makefile
  head/net-im/qq/Makefile
  head/net-im/skype/Makefile
  head/net-im/skype-devel/Makefile
  head/net-im/skype4/Makefile
  head/net-im/yoono/Makefile
  head/print/foxitreader/Makefile
  head/print/linux-c6-cups-libs/Makefile
  head/print/linux-f10-cups-libs/Makefile
  head/security/hamachi/Makefile
  head/security/linux-c6-cyrus-sasl2/Makefile
  head/security/linux-c6-gnutls/Makefile
  head/security/linux-c6-libgcrypt/Makefile
  head/security/linux-c6-libgpg-error/Makefile
  head/security/linux-c6-libssh2/Makefile
  head/security/linux-c6-libtasn1/Makefile
  head/security/linux-c6-nss/Makefile
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c6-openssl/pkg-plist.i386
  head/security/linux-c6-openssl/pkg-plist.x86_64
  head/security/linux-c6-openssl-compat/Makefile
  head/security/linux-f10-cyrus-sasl2/Makefile
  head/security/linux-f10-gnutls/Makefile
  head/security/linux-f10-libgcrypt/Makefile
  head/security/linux-f10-libgpg-error/Makefile
  head/security/linux-f10-libgpg-error/pkg-plist
  head/security/linux-f10-libssh2/Makefile
  head/security/linux-f10-libtasn1/Makefile
  head/security/linux-f10-nss/Makefile
  head/security/linux-f10-openssl/Makefile
  head/security/pkcs11-gateway/Makefile
  head/sysutils/linux-crashplan/Makefile
  head/sysutils/linux-f10-procps/Makefile
  head/sysutils/linux-nero/Makefile
  head/sysutils/seatools/Makefile
  head/textproc/linux-c6-aspell/Makefile
  head/textproc/linux-c6-expat/Makefile
  head/textproc/linux-c6-libxml2/Makefile
  head/textproc/linux-f10-aspell/Makefile
  head/textproc/linux-f10-expat/Makefile
  head/textproc/linux-f10-libxml2/Makefile
  head/textproc/linux-f10-scim-gtk/Makefile
  head/textproc/linux-f10-scim-libs/Makefile
  head/textproc/pocketreader/Makefile
  head/www/linux-c6-flashplugin11/Makefile
  head/www/linux-c6-qt47-webkit/Makefile
  head/www/linux-f10-flashplugin11/Makefile
  head/www/linux-firefox/Makefile
  head/www/linux-firefox/pkg-plist
  head/www/linux-opera/Makefile
  head/www/linux-seamonkey/Makefile
  head/www/linux-seamonkey/Makefile.common
  head/www/linux-seamonkey/pkg-plist
  head/www/nspluginwrapper/Makefile
  head/www/opera-linuxplugins/Makefile
  head/x11/linux-c6-pixman/Makefile
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-f10-xorg-libs/Makefile
  head/x11/linux-f10-xorg-libs/pkg-plist
  head/x11/nvidia-driver/Makefile
  head/x11-fonts/linux-c6-fontconfig/Makefile
  head/x11-fonts/linux-f10-fontconfig/Makefile
  head/x11-themes/linux-c6-hicolor-icon-theme/Makefile
  head/x11-themes/linux-f10-hicolor-icon-theme/Makefile
  head/x11-themes/linux-f10-qtcurve-gtk2/Makefile
  head/x11-themes/linux-hicolor-icon-theme/Makefile
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-gtk2/pkg-plist.i386
  head/x11-toolkits/linux-c6-gtk2/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-openmotif/Makefile
  head/x11-toolkits/linux-c6-pango/Makefile
  head/x11-toolkits/linux-c6-pango/pkg-plist.i386
  head/x11-toolkits/linux-c6-pango/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-qt47-x11/Makefile
  head/x11-toolkits/linux-c6-tk85/Makefile
  head/x11-toolkits/linux-c6-tk85/pkg-plist.i386
  head/x11-toolkits/linux-c6-tk85/pkg-plist.x86_64
  head/x11-toolkits/linux-f10-blt/Makefile
  head/x11-toolkits/linux-f10-gtk2/Makefile
  head/x11-toolkits/linux-f10-openmotif/Makefile
  head/x11-toolkits/linux-f10-pango/Makefile
  head/x11-toolkits/linux-f10-qt45/Makefile
  head/x11-toolkits/linux-f10-tk85/Makefile
Comment 15 Jung-uk Kim freebsd_committer 2016-09-07 06:06:27 UTC
Re-open because dependencies are not correct.  For example,

Before:
% cd graphics/linux-c6-gdk-pixbuf2
% make run-depends-list
/usr/ports/emulators/linux_base-c6
/usr/ports/graphics/linux-c6-jasper
/usr/ports/graphics/linux-c6-jpeg
/usr/ports/graphics/linux-c6-png
/usr/ports/graphics/linux-c6-tiff
/usr/ports/textproc/linux-c6-expat
/usr/ports/x11-fonts/linux-c6-fontconfig
/usr/ports/x11/linux-c6-xorg-libs

After:
% make run-depends-list
/usr/ports/x11/linux-c6-xorg-libs
Comment 16 Jung-uk Kim freebsd_committer 2016-09-07 06:08:14 UTC
This happens because for/endfor loop is incorrect.

% make -V RUN_DEPENDS
linux-c6-xorg-libs>0:x11/linux-c6-xorg-libs linux-c6-xorg-libs>0:x11/linux-c6-xorg-libs linux-c6-xorg-libs>0:x11/linux-c6-xorg-libs linux-c6-xorg-libs>0:x11/linux-c6-xorg-libs linux-c6-xorg-libs>0:x11/linux-c6-xorg-libs
Comment 17 Jung-uk Kim freebsd_committer 2016-09-07 06:12:26 UTC
Created attachment 174466 [details]
Correct dependencies

With this patch, everything looks normal.  For example,

% cd graphics/linux-c6-gdk-pixbuf2
% make run-depends-list
/usr/ports/graphics/linux-c6-jasper
/usr/ports/graphics/linux-c6-jpeg
/usr/ports/graphics/linux-c6-png
/usr/ports/graphics/linux-c6-tiff
/usr/ports/x11/linux-c6-xorg-libs
% make -V RUN_DEPENDS
linux-c6-jasper>0:graphics/linux-c6-jasper linux-c6-jpeg>0:graphics/linux-c6-jpeg linux-c6-png>0:graphics/linux-c6-png linux-c6-tiff>0:graphics/linux-c6-tiff linux-c6-xorg-libs>0:x11/linux-c6-xorg-libs
Comment 18 Jung-uk Kim freebsd_committer 2016-09-07 06:15:57 UTC
Reset assignee.
Comment 19 commit-hook freebsd_committer 2016-09-07 12:43:39 UTC
A commit references this bug:

Author: tijl
Date: Wed Sep  7 12:43:30 UTC 2016
New revision: 421496
URL: https://svnweb.freebsd.org/changeset/ports/421496

Log:
  - In Uses/linux.mk use the loop variable directly when appending to
    *_DEPENDS.  Helper variables derived from the loop variable aren't
    expanded causing *_DEPENDS to be incorrect.
  - Bump all ports with more than one value in USE_LINUX.

  PR:		211645
  Reported by:	jkim

Changes:
  head/Mk/Uses/linux.mk
  head/astro/google-earth/Makefile
  head/audio/linux-c6-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-libsndfile/Makefile
  head/audio/linux-c6-openal-soft/Makefile
  head/audio/linux-c6-pulseaudio-libs/Makefile
  head/audio/linux-c6-pulseaudio-utils/Makefile
  head/audio/linux-c6-sdl_mixer/Makefile
  head/audio/linux-f10-openal/Makefile
  head/audio/linux-f10-openal-soft/Makefile
  head/audio/linux-f10-pulseaudio-libs/Makefile
  head/audio/linux-f10-sdl_mixer/Makefile
  head/cad/linux-eagle5/Makefile
  head/devel/linux-c6-dbus-glib/Makefile
  head/devel/linux-c6-qt47/Makefile
  head/devel/linux-f10-dbus-glib/Makefile
  head/editors/komodo-edit/Makefile
  head/editors/linux-sublime/Makefile
  head/editors/linux-sublime3/Makefile
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-f10-curl/Makefile
  head/games/adom/Makefile
  head/games/arkanoidsb/Makefile
  head/games/dsnake/Makefile
  head/games/gish-demo/Makefile
  head/games/linux-darwinia-demo/Makefile
  head/games/linux-defcon/Makefile
  head/games/linux-doom3-demo/Makefile
  head/games/linux-enemyterritory/Makefile
  head/games/linux-nerogame/Makefile
  head/games/linux-nwnclient/Makefile
  head/games/linux-rtcw/Makefile
  head/games/linux-ssamtfe/Makefile
  head/games/linux-ssamtse/Makefile
  head/games/linux-unigine-heaven/Makefile
  head/games/linux-unigine-valley/Makefile
  head/games/linux-uplink-demo/Makefile
  head/games/linux-ut/Makefile
  head/games/linux-ut2003-demo/Makefile
  head/games/linux-virtual-jay-peak/Makefile
  head/games/linux-worldofgoo-demo/Makefile
  head/graphics/linux-c6-cairo/Makefile
  head/graphics/linux-c6-gdk-pixbuf2/Makefile
  head/graphics/linux-c6-glx-utils/Makefile
  head/graphics/linux-c6-sdl_image/Makefile
  head/graphics/linux-c6-sdl_ttf/Makefile
  head/graphics/linux-f10-cairo/Makefile
  head/graphics/linux-f10-sdl_image/Makefile
  head/mail/linux-thunderbird/Makefile
  head/math/matlab-installer/Makefile
  head/net/citrix_ica/Makefile
  head/net-im/linux-instantbird/Makefile
  head/net-im/qq/Makefile
  head/net-im/skype/Makefile
  head/net-im/skype-devel/Makefile
  head/net-im/skype4/Makefile
  head/net-im/yoono/Makefile
  head/print/foxitreader/Makefile
  head/security/linux-c6-gnutls/Makefile
  head/security/linux-c6-nss/Makefile
  head/security/linux-f10-gnutls/Makefile
  head/security/linux-f10-nss/Makefile
  head/sysutils/linux-crashplan/Makefile
  head/textproc/linux-f10-scim-gtk/Makefile
  head/www/linux-c6-flashplugin11/Makefile
  head/www/linux-c6-qt47-webkit/Makefile
  head/www/linux-firefox/Makefile
  head/www/linux-opera/Makefile
  head/www/linux-seamonkey/Makefile
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-pango/Makefile
  head/x11-toolkits/linux-c6-qt47-x11/Makefile
  head/x11-toolkits/linux-f10-blt/Makefile
  head/x11-toolkits/linux-f10-gtk2/Makefile
  head/x11-toolkits/linux-f10-pango/Makefile
  head/x11-toolkits/linux-f10-qt45/Makefile
Comment 20 Tijl Coosemans freebsd_committer 2016-09-07 12:46:07 UTC
I had to commit a different version that works with fmake.